# Get Customer

Get a customer by ID.

Endpoint: GET /customers/{customer_id}
Version: 0.1.0

## Path parameters:

  - `customer_id` (string, required)

## Header parameters:

  - `X-API-Key` (any)

## Response 200 fields (application/json):

  - `name` (string, required)
    Customer full name

  - `org_id` (string, required)
    ID of the organization this customer belongs to

  - `document_type` (string, required)
    Type of document (e.g., 'MX_RFC', 'PASSPORT')
    Enum: "mx_rfc", "mx_curp", "passport"

  - `document_number` (string, required)
    Document number

  - `email` (any)
    Customer email address

  - `phone_number` (any)
    Customer phone number

  - `customer_metadata` (any)
    Additional customer metadata

  - `id` (string, required)

  - `created_at` (string, required)

  - `updated_at` (any)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)


